CVE-2021-36980

Published: 20 July 2021

Open vSwitch (aka openvswitch) 2.11.0 through 2.15.0 has a use-after-free in decode_NXAST_RAW_ENCAP (called from ofpact_decode and ofpacts_decode) during the decoding of a RAW_ENCAP action.

Priority

Medium

CVSS 3 base score: 5.5

Status

Package Release Status
openvswitch
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.04 (Hirsute Hippo)
Released (2.15.0-0ubuntu3.1)
Ubuntu 20.04 LTS (Focal Fossa)
Released (2.13.3-0ubuntu0.20.04.2)
Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(code not present)
Ubuntu 16.04 ESM (Xenial Xerus) Not vulnerable
(code not present)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

Patches:
Upstream: https://github.com/openvswitch/ovs/commit/38744b1bcb022c611712527f039722115300f58f (2.15)
Upstream: https://github.com/openvswitch/ovs/commit/65c61b0c23a0d474696d7b1cea522a5016a8aeb3 (2.11)
Upstream: https://github.com/openvswitch/ovs/commit/6d67310f4d2524b466b98f05ebccc1add1e8cf35 (2.13)
Upstream: https://github.com/openvswitch/ovs/commit/77cccc74deede443e8b9102299efc869a52b65b2 (master)
Upstream: https://github.com/openvswitch/ovs/commit/8ce8dc34b5f73b30ce0c1869af9947013c3c6575 (2.14)
Upstream: https://github.com/openvswitch/ovs/commit/9926637a80d0d243dbf9c49761046895e9d1a8e2 (2.12)